Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester.plugins
Class PluginDeclarationRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.commons.digester.plugins.PluginDeclarationRule

    public class PluginDeclarationRule

extends Rule

A Digester rule which allows the user to pre-declare a class which is to be referenced later at a plugin point by a PluginCreateRule.

Normally, a PluginDeclarationRule is added to a Digester instance with the pattern "{root}/plugin" or "* /plugin" where {root} is the name of the root tag in the input document.

Since:
  1.6

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`PluginDeclarationRule()` constructor

Method Summary
`void` | `begin(String namespace, String name, Attributes attributes)` Invoked upon reading a tag defining a plugin declaration.
`static void` | `declarePlugin(Digester digester, Properties props)`

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginDeclarationRule

    public PluginDeclarationRule()

  constructor

Method Detail

### begin

    public void begin(String namespace,
                      String name,
                      Attributes attributes)
               throws Exception

  Invoked upon reading a tag defining a plugin declaration. The tag must have the following mandatory attributes:
  - id
  - class

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `namespace` - The xml namespace in which the xml element which triggered this rule resides.
    `name` - The name of the xml element which triggered this rule.
    `attributes` - The set of attributes on the xml element which triggered this rule.
  Throws:
    `Exception`

### declarePlugin

    public static void declarePlugin(Digester digester,
                                     Properties props)
                              throws PluginException

  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.